# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "qty-macros"
version = "0.14.4"
authors = ["Michael Amrhein <michael@adrhinum.de>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Macros supporting the implementation of quantities."
homepage = "https://github.com/mamrhein/quantities.rs"
documentation = "https://docs.rs/quantities/"
readme = "README.md"
keywords = [
    "quantity",
    "unit",
    "unit-safe",
    "measure",
    "arithmetics",
]
categories = [
    "data-structures",
    "mathematics",
]
license-file = "LICENSE.TXT"
repository = "https://github.com/mamrhein/quantities.rs"

[features]
serde = []

[lib]
name = "qty_macros"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "macro_tests"
path = "tests/macro_tests.rs"

[dependencies.convert_case]
version = "0.11"

[dependencies.proc-macro-error2]
version = "2"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2"
features = ["full"]

[dev-dependencies.trybuild]
version = "1"
